Index: branches/water/src/world_entities/environments/mapped_water.cc
===================================================================
--- branches/water/src/world_entities/environments/mapped_water.cc	(revision 8628)
+++ branches/water/src/world_entities/environments/mapped_water.cc	(revision 8630)
@@ -234,5 +234,5 @@
   // to our texture map size, then render the current scene our camera
   // is looking at to the already allocated texture unit.  Since this
-  // is a reflection of the top of the water surface we use clipping 
+  // is a reflection of the top of the water surface we use clipping
   // planes to only render the top of the world as a reflection.  If
   // we are below the water we don't flip the reflection but just use
@@ -318,7 +318,6 @@
   if(pos.y > waterPos.y)
   {
-    double plane[4] = {0, -1, 0, waterPos.y}; 
+    double plane[4] = {0, -1, 0, waterPos.y};
     glClipPlane(GL_CLIP_PLANE0, plane);
-
   }
   // If the camera is below the water, only render the data above the water
@@ -326,5 +325,5 @@
   {
     glCullFace(GL_FRONT);
-    double plane[4] = {0, 1, 0, -waterPos.y}; 
+    double plane[4] = {0, 1, 0, -waterPos.y};
     glClipPlane(GL_CLIP_PLANE0, plane);
   }
Index: branches/water/src/world_entities/environments/mapped_water.h
===================================================================
--- branches/water/src/world_entities/environments/mapped_water.h	(revision 8628)
+++ branches/water/src/world_entities/environments/mapped_water.h	(revision 8630)
@@ -26,50 +26,50 @@
 class MappedWater : public WorldEntity
 {
-  public:
-    MappedWater(const TiXmlElement* root = NULL);
-    virtual ~MappedWater();
+public:
+  MappedWater(const TiXmlElement* root = NULL);
+  virtual ~MappedWater();
 
-    void loadParams(const TiXmlElement* root);
+  void loadParams(const TiXmlElement* root);
 
-    void draw() const;
-    void tick(float dt);
+  void draw() const;
+  void tick(float dt);
 
-    // function to prepare renderpaths for creation of refleaction and reflaction textures
-    void activateReflection();
-    void deactivateReflection();
-    void activateRefraction();
-    void deactivateRefraction();
+  // function to prepare renderpaths for creation of refleaction and reflaction textures
+  void activateReflection();
+  void deactivateReflection();
+  void activateRefraction();
+  void deactivateRefraction();
 
-    // functions to set parameters for the water, usually they're called through loadparam
-    void setLightPos(float x, float y, float z) { this->lightPos = Vector(x,y,z); };
-    void setWaterPos(float x, float y, float z) { this->waterPos = Vector(x,y,z); };
-    void setWaterSize(float x, float z) { this->xWidth = x; this->zWidth = z; };
-    void setWaterAngle(float angle) { this->waterAngle = angle; };
-    void setWaterUV(float uv) { this->waterUV = uv; };
-    void setWaterFlow(float flow) { this->waterFlow = flow; };
-    void setNormalMapScale(float scale) { this->kNormalMapScale = scale; };
+  // functions to set parameters for the water, usually they're called through loadparam
+  void setLightPos(float x, float y, float z) { this->lightPos = Vector(x,y,z); };
+  void setWaterPos(float x, float y, float z) { this->waterPos = Vector(x,y,z); };
+  void setWaterSize(float x, float z) { this->xWidth = x; this->zWidth = z; };
+  void setWaterAngle(float angle) { this->waterAngle = angle; };
+  void setWaterUV(float uv) { this->waterUV = uv; };
+  void setWaterFlow(float flow) { this->waterFlow = flow; };
+  void setNormalMapScale(float scale) { this->kNormalMapScale = scale; };
 
-  private:
-    void initParams();
-    void initTextures();
-    void initShaders();
+private:
+  void initParams();
+  void initTextures();
+  void initShaders();
 
-  private:
-    Vector              waterPos;               //!< position of the water
-    float               xWidth, zWidth;         //!< size of the water quad
-    Vector              lightPos;               //!< position of the light that is used to render the reflection
-    float               waterAngle;             //!< defines how much the water will be turned around the point waterPos
+private:
+  Vector              waterPos;               //!< position of the water
+  float               xWidth, zWidth;         //!< size of the water quad
+  Vector              lightPos;               //!< position of the light that is used to render the reflection
+  float               waterAngle;             //!< defines how much the water will be turned around the point waterPos
 
-    float               move;                   //!< textures coords, speeds, positions for the shaded textures....
-    float               move2;
-    float               waterUV;                //!< size of the waves
-    float               waterFlow;              //!< speed of the water
-    float               normalUV;
-    float               kNormalMapScale;
+  float               move;                   //!< textures coords, speeds, positions for the shaded textures....
+  float               move2;
+  float               waterUV;                //!< size of the waves
+  float               waterFlow;              //!< speed of the water
+  float               normalUV;
+  float               kNormalMapScale;
 
-    int                 textureSize;            //!< height and width of the texture
-    Material            mat;
-    Shader*             shader;
-    Shader::Uniform*    cam_uni;                //!< uniform that is used for the camera position
+  int                 textureSize;            //!< height and width of the texture
+  Material            mat;
+  Shader*             shader;
+  Shader::Uniform*    cam_uni;                //!< uniform that is used for the camera position
 };
 
